# Shop

{% hint style="danger" %}
Do not reload the plugin or the server to put these changes into effect. Restart the server.
{% endhint %}

***

## <mark style="color:orange;">Shop Settings</mark>

```yaml
bike-shopsize: 9
bike-shoptitle: '&6Bike Shop'
bike-shopslots:
 '1':
  bikeType: 'BLACK'
  price: 30
  itemMaterial: 'CHEST'
  itemDisplayName: '&7Black Bike'
  itemLore:
   - '&7A standard black bike'
   - '&6Price: &730'
 '4':
  bikeType: 'ORANGE'
  price: 60
  itemMaterial: 'CHEST'
  itemDisplayName: '&6Orange Bike'
  itemLore:
   - '&7A standard orange bike'
   - '&6Price: &760'
```

*\* This example is using the first two vehicles from the bike shop section.*

| Setting                                       | Info                                                                                                                                                                                                                                                                      |
| --------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `bike-shopsize`                               | Limits the size of each Vehicle shop. The maximum size is 54.                                                                                                                                                                                                             |
| `bike-shoptitle`                              | Sets the title of the shop, which can be seen at the top of the gui.                                                                                                                                                                                                      |
| `'1'`, `'4'`                                  | These are the slots the chest/vehicle will appear in. For more info on what number belongs to which slot click [<mark style="color:orange;">here</mark>](https://proxy.spigotmc.org/286cf93278ca679cecf2a40528fd830418b75d4a?url=http%3A%2F%2Fi.imgur.com%2FgK9plGo.png): |
| `bikeType`                                    | The type of bike which will be given to the user. This has to be the exact name to the one you've set in the [<mark style="color:orange;">vehicle settings</mark>](/configuration/vehicle-settings.md).                                                                   |
| `price`                                       | Set the price users need to pay. The price has to be a whole number (no , or .) and the highest possible price is 2147483647.                                                                                                                                             |
| `itemMaterial`, `itemDisplayName`, `itemLore` | Set the item which should be displayed in the slot, including its name and lore. Note: When you change the price, you will also need to change it in the lore.                                                                                                            |

***

## <mark style="color:orange;">Add Vehicles to the Shop</mark>

To add more vehicles to the shop, simply copy/paste a shop slot (see below) and edit it to fit to the vehicle you want to add. Make sure that the type is the exact same as the one in the vehicle settings.

```yaml
 '1':
  bikeType: 'BLACK'
  price: 30
  itemMaterial: 'CHEST'
  itemDisplayName: '&7Black Bike'
  itemLore:
   - '&7A standard black bike'
   - '&6Price: &730'
 'NEW SHOP SLOT NUMBER HERE':
  bikeType: 'NAME FROM THE VEHICLE YOU ADDED'
  price: 60
  itemMaterial: 'CHEST'
  itemDisplayName: 'NAME HERE'
  itemLore:
   - 'LORE'
   - 'LORE'
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vehiclesplugin.com/configuration/shop-settings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
